package kr.co.icontrols.iotplatform.DragListView;

import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.recyclerview.widget.RecyclerView;

import kr.co.icontrols.iotplatform.R;

/**
 * 드래그 & 드랍 리스트 컴퍼넌트 클래스
 */
public class ItemViewHolder extends RecyclerView.ViewHolder {

    TextView txtGroupName;
    TextView txtDeviceCount;
    ImageView imgIcon;
    ImageView imgDrag;

    public ItemViewHolder(View itemView) {
        super(itemView);

        txtGroupName = itemView.findViewById(R.id.txtGroupName);
        txtDeviceCount = itemView.findViewById(R.id.txtDeviceCount);
        imgIcon = itemView.findViewById(R.id.imgIcon);
        imgDrag = itemView.findViewById(R.id.imgDrag);
    }
}

